#!/usr/contrib/bin/perl

$file = shift || die "No file, alas $!";
$out = shift || "fone.ub";

# This is somewhat more painful, but easy in BASIC, as sox has to be 
# able to seek in generic .voc files. Actually, we could patch sox
# for the voc files from vcnvt, as are 'well behaved' (i.e. do not change
# parameters).

$os = `uname`;
if($os =~ /Linux/)
{
  $tmp = '/tmp/vox'.$$.'.voc';
}
else
{
  $tmp = 'ram1_vox'.$$.'.voc';
} 

system "vcnvt 0 ".$file." ".$tmp;
system "sox -t.voc ".$tmp." -c2 -r 20000 -t.ub ".$out;
unlink $tmp;
